<!--

	var nomeNavegador
	var httpRequest
	var documentoXML
	var OBJ_TENTATIVAS
	var OBJ_ALTERNATIVAS

	/*
	Descrição: FUNCAO UTILIZADA PARA CRIAR UM OBJETO XML.
	Entrada: CAMINHO DO ARQUIVO XML.
	Saída: DOCUMENTO XML PRONTO PARA SER NAVEGADO (DOM).
	*/
	function criarObjXML(objTentativas, objAlternativas, arquivoXML) {

		OBJ_TENTATIVAS = objTentativas
		OBJ_ALTERNATIVAS = objAlternativas
		
		nomeNavegador = getNomeNavegador()
		
		if(nomeNavegador == "Microsoft Internet Explorer") {
			httpRequest = new ActiveXObject("Microsoft.XMLDOM")
			httpRequest.async = false
			httpRequest.load(arquivoXML)
			documentoXML = httpRequest
			xmlPronto(objTentativas, objAlternativas, documentoXML)
		}
		else {
			var async = false

			if (location.protocol == "http:")
				async = true

			httpRequest = new XMLHttpRequest()
			httpRequest.onreadystatechange = eval("processaRequisicaoAvaliacao")
			httpRequest.open("GET", arquivoXML, async)
			httpRequest.overrideMimeType("text/xml")
			httpRequest.send(null)

			if (location.protocol != "http:") {
				documentoXML = httpRequest.responseXML
				xmlPronto(objTentativas, objAlternativas, documentoXML)
			}
		}
	}

	/*
	Descricao: Funcao utilizada para verificar se o processo de requisicao do XML terminou.
	Entrada: Nao recebe nada.
	Saida: Nao devolve nada.
	*/
	function processaRequisicaoAvaliacao() {

		//XML pronto
		if (httpRequest.readyState == 4) {
			//Verifica se OK
			if (httpRequest.status == 200)
				xmlPronto(OBJ_TENTATIVAS, OBJ_ALTERNATIVAS, httpRequest.responseXML)
			else
				alert("Ocorreu um erro na leitura do XML!")
		}
	}

	function xmlPronto(objTentativas, objAlternativas, objXML) {

		encaminharPG(objTentativas, objAlternativas, objXML)
	}

//-->